package ast;

public class Atrib extends Node implements Stat{
	public Lval lval;
	public Exp rval;
	
	public Atrib(Lval lval, Exp rval, int line, int col) {
		super(line, col);
		this.lval = lval;
		this.rval = rval;
	}
	
	public String label() {
		return "=";
	}
	
	public void run(Environment<Object> env) {
		lval.set(env, rval.eval(env));
	}

}
